Bug 1729852 - MOZ_CrashPrintf
Summary: MOZ_CrashPrintf
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: firefox
Version: 8.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.0
Assignee: Martin Stransky
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-15 06:40 UTC by Jiri Prajzner
Modified: 2019-10-01 12:30 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-01 12:10:40 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Jiri Prajzner 2019-07-15 06:40:20 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/3a97787986f001f243b66e2309fd6d4fc6c8687b/

Comment 1 Jiri Prajzner 2019-09-30 06:58:55 UTC
http://faf.lab.eng.brq.redhat.com/faf/reports/13599 - there are 18 crashes, each one with full env, tests and stack traces. 
what is missing please?

Comment 2 Martin Stransky 2019-09-30 07:04:16 UTC
(In reply to Jiri Prajzner from comment #1)
> http://faf.lab.eng.brq.redhat.com/faf/reports/13599 - there are 18 crashes,
> each one with full env, tests and stack traces. 
> what is missing please?

Is there any reproduction steps I can use to reproduce the issue?

Comment 3 Jiri Prajzner 2019-09-30 07:13:48 UTC
look into the gz archive, there're 'backtrace' and 'cmdline' files with commands that could potentially reproduce the issue.
for example in firefox-68.0.1-3.el8_0-ccpp-2019-09-13-09-34-08.472860-30074:
backtrace: Core was generated by `/usr/lib64/firefox/firefox -contentproc -childID 2 -isForBrowser -prefsLen 278'
cmdline: /usr/lib64/firefox/firefox -contentproc -childID 2 -isForBrowser -prefsLen 278 -prefMapSize 176557 -parentBuildID 20190729092507 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja -appdir /usr/lib64/firefox/browser 29907 tab

Comment 4 Martin Stransky 2019-10-01 12:10:40 UTC
(In reply to Jiri Prajzner from comment #3)
> look into the gz archive, there're 'backtrace' and 'cmdline' files with
> commands that could potentially reproduce the issue.
> for example in firefox-68.0.1-3.el8_0-ccpp-2019-09-13-09-34-08.472860-30074:
> backtrace: Core was generated by `/usr/lib64/firefox/firefox -contentproc
> -childID 2 -isForBrowser -prefsLen 278'
> cmdline: /usr/lib64/firefox/firefox -contentproc -childID 2 -isForBrowser
> -prefsLen 278 -prefMapSize 176557 -parentBuildID 20190729092507 -greomni
> /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja
> -appdir /usr/lib64/firefox/browser 29907 tab

You can try yourself that this does nothing. It's a child process execution from main firefox process and can't be issued from command line.
Without clear reproduction steps (go to page xyz, do something there) we can't fix that.

Comment 5 Jiri Prajzner 2019-10-01 12:30:55 UTC
if i execute /usr/lib64/firefox/firefox -contentproc -childID 2 -isForBrowser -prefsLen 278 -prefMapSize 176557 -parentBuildID 20190729092507 -greomni /usr/lib64/firefox/omni.ja -appomni /usr/lib64/firefox/browser/omni.ja
it dumps core. 
i suppose the "-appdir /usr/lib64/firefox/browser 29907 tab" points to a tab that caused the original core dump, i'm not sure if you can find that in the core / stack trace by the tab id 29907 and if it says what url was loaded...


Note You need to log in before you can comment on or make changes to this bug.